### Method

# Dex TaskGroup add

unstable since: 1.2

#### Declaration [src]

    gboolean
    dex_task_group_add (
      DexTaskGroup* group,
      DexFuture* future
    )

#### Description [src]

Adds `future` to `group`.

If `group` is `null`, then the future will be disowned. Otherwise, `future` will be added to `group`.

Available since: 1.2

#### Parameters

`group`

  Type: `DexTaskGroup`

  A `DexTaskGroup`.

  The argument can be `NULL`.

`future`

  Type: `DexFuture`

  A `DexFuture`.

  The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`false` if the group is closed or cancelled; otherwise `true`.